Bug 252618 - www/gtkhtml3: Obsolete by upstream, deprecate
Summary: www/gtkhtml3: Obsolete by upstream, deprecate
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL: https://wiki.gnome.org/RoadMap/GtkHtml
Keywords:
Depends on: 252619 252620 252621 252622 252623
Blocks: 249879
  Show dependency treegraph
 
Reported: 2021-01-12 21:53 UTC by Daniel Engberg
Modified: 2021-02-14 09:01 UTC (History)
1 user (show)

See Also:
tcberner: maintainer-feedback+


Attachments
Patch for gtkhtml3 (600 bytes, patch)
2021-01-12 21:53 UTC, Daniel Engberg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Engberg 2021-01-12 21:53:22 UTC
Created attachment 221508 [details]
Patch for gtkhtml3

Last release was 5 years ago and its usage has been discouraged by upstream since 2012. It also fails to build with newer versions of pango as an example.

Sources:
https://gitlab.gnome.org/Archive/gtkhtml/-/tags
https://wiki.gnome.org/RoadMap/GtkHtml
Comment 1 Tobias C. Berner freebsd_committer 2021-01-21 19:12:57 UTC
Committed, thanks -- I set the deprecation date to the end of this quarter.
Comment 2 commit-hook freebsd_committer 2021-01-21 19:12:58 UTC
A commit references this bug:

Author: tcberner
Date: Thu Jan 21 19:12:10 UTC 2021
New revision: 562229
URL: https://svnweb.freebsd.org/changeset/ports/562229

Log:
  www/gtkhtml3: markd deprecated

  From https://wiki.gnome.org/RoadMap/GtkHtml  (2012-09-19):
  	* GtkHtml is being phased out in favor of WebKit/GTK+.
  	* Using GtkHtml in newly-written code is strongly discouraged.
  	* GtkHtml 4.6.x will likely be the final release series.

  Upstream called this one dead 8 years ago. Time make it so.

  PR:		252618
  Submitted by:	daniel.engberg.lists@pyret.net

Changes:
  head/www/gtkhtml3/Makefile